Bug 196942 - [revive port]: sysutils/avfs library to access archives
Summary: [revive port]: sysutils/avfs library to access archives
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks: 196958
  Show dependency treegraph
 
Reported: 2015-01-20 16:44 UTC by mp39590
Modified: 2015-02-07 13:06 UTC (History)
1 user (show)

See Also:


Attachments
avfs sh archive (3.23 KB, text/plain)
2015-01-20 16:44 UTC, mp39590
no flags Details
poudriere build logs (684.92 KB, text/plain)
2015-01-20 16:46 UTC, mp39590
no flags Details
avfs sh archive with FUSE support (4.79 KB, text/plain)
2015-02-07 06:44 UTC, mp39590
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mp39590 2015-01-20 16:44:32 UTC
Created attachment 151912 [details]
avfs sh archive

Resurrect sysutils/avfs port which was deleted for reason of being broken [Note in MOVED from 2013-08-27]

Primarily to use with x11-fm/worker file manager.
Comment 1 mp39590 2015-01-20 16:46:23 UTC
Created attachment 151914 [details]
poudriere build logs

build logs from poudriere for 8.4, 9.3 and 10.1
Comment 2 Muhammad Moinur Rahman freebsd_committer 2015-02-06 13:13:29 UTC
Any specific reason you are building only the library but not the FUSE part?
Comment 3 mp39590 2015-02-06 18:42:59 UTC
For initial submission only library was tested and guaranteed to work (see bug 196958). Choose of options can be expanded in future updates, if consumers will need it.
Comment 4 Muhammad Moinur Rahman freebsd_committer 2015-02-06 18:51:39 UTC
So far I have compiled and built it with the other options mentioned. But it needs check I mean real world check. Do you suppose you can test it?
Comment 5 mp39590 2015-02-07 06:44:32 UTC
Created attachment 152659 [details]
avfs sh archive with FUSE support

FUSE support works fine, minor patches are required for mounting scripts (included). FUSE option is disabled by default, because this port primarily intended to be used with x11-fm/worker file manager, and I would like keep binary package dependencies clean.

Also LICENSE has been changed, since FUSE is GPL and shared library is LGPL.
Comment 6 Muhammad Moinur Rahman freebsd_committer 2015-02-07 10:30:04 UTC
Seems a lot better. Although I have done some minor changes. One more thing is is it possible to provide the poudriere logs hosted somewhere in future rather than attaching in a single file. Easier to handle. Like say that avfs will be like the following:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/avfs/1.0.2/

Hopefully will commit at night after getting approval.
Comment 7 mp39590 2015-02-07 11:11:18 UTC
Unfortunately, I've no place to host a web server, testing is done on my laptop, which has no permanent internet connection.

Are those logs even necessary? As I understand commiters do their own poudriere run anyway?
Comment 8 Muhammad Moinur Rahman freebsd_committer 2015-02-07 11:19:40 UTC
Depends. Like when I started porting I used to give the logs of Tinderbox, then came poudriere so started providing poudriere logs. And yes committers do run their test but only if it's not provided. I can for sure say that my mentors didn't run those poudriere/tinderbox as I used to give the logs. 3:)
Comment 9 commit-hook freebsd_committer 2015-02-07 13:04:44 UTC
A commit references this bug:

Author: bofh
Date: Sat Feb  7 13:04:41 UTC 2015
New revision: 378590
URL: https://svnweb.freebsd.org/changeset/ports/378590

Log:
  sysutils/avfs: Revive and update version 0.9.9=>1.0.2

  - Unbreak
  - Pass maintainership to submitter
  - Add LICENSE(LGPL20 GPLv2)
  - Remove OPTIONS LIBRARY to make default as most of the dependent ports
    require the library
  - Make proper use of OPTIONSNG to declutter ${PORT_OPTIONS:M*}

  PR:			196942
  Differential Revision:	https://reviews.freebsd.org/D1795
  Submitted by:		mp39590@gmail.com
  Approved by:		marino(mentor)

Changes:
  head/MOVED
  head/sysutils/Makefile
  head/sysutils/avfs/
  head/sysutils/avfs/Makefile
  head/sysutils/avfs/distinfo
  head/sysutils/avfs/files/patch-configure
  head/sysutils/avfs/files/patch-scripts_mountavs
  head/sysutils/avfs/files/patch-scripts_umountavs
  head/sysutils/avfs/files/patch-src_Makefile.in
  head/sysutils/avfs/pkg-descr
  head/sysutils/avfs/pkg-plist
Comment 10 Muhammad Moinur Rahman freebsd_committer 2015-02-07 13:06:32 UTC
Committed with minor changes.